%define name ipython
%define tar_name ipython
%define version 0.6.12
%define release 1mdk

Summary: An enhanced interactive Python shell.
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://ipython.scipy.org/dist/%{tar_name}-%{version}.tar.bz2
License: LGPL
Group: Development/Python
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires: python-devel
Requires: python
BuildArch: noarch
Url: http://ipython.scipy.org

%description

IPython provides a replacement for the interactive Python interpreter with
extra functionality.

Main features:

 * Comprehensive object introspection.

 * Input history, persistent across sessions.

 * Caching of output results during a session with automatically generated
   references.

 * Readline based name completion.

 * Extensible system of 'magic' commands for controlling the environment and
   performing many tasks related either to IPython or the operating system.

 * Configuration system with easy switching between different setups (simpler
   than changing $PYTHONSTARTUP environment variables every time).

 * Session logging and reloading.

 * Extensible syntax processing for special purpose situations.

 * Access to the system shell with user-extensible alias system.

 * Easily embeddable in other Python programs.

 * Integrated access to the pdb debugger and the Python profiler. 

%prep
%setup -q -n %{tar_name}-%{version}

%build
python setup.py build

%install

rm -rf $RPM_BUILD_ROOT
python setup.py install --root=$RPM_BUILD_ROOT --record=INSTALLED_FILES
rm -Rf $RPM_BUILD_ROOT/usr/share/doc/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc doc/* README
%_bindir/*
%_libdir/python%pyver/site-packages/IPython/
%_mandir/man1/*
%changelog
* Fri Mar 04 2005 Michael Scherer <misc@mandrake.org> 0.6.12-1mdk
- New release 0.6.12

* Thu Feb 17 2005 Michael Scherer <misc@mandrake.org> 0.6.11-1mdk
- New release 0.6.11

* Fri Jan 28 2005 Michael Scherer <misc@mandrake.org> 0.6.10-1mdk
- New release 0.6.10

* Thu Dec 16 2004 Michael Scherer <misc@mandrake.org> 0.6.6-1mdk
- New release 0.6.6

* Sat Dec 04 2004 Michael Scherer <misc@mandrake.org> 0.6.5-2mdk
- Rebuild for new python

* Fri Dec 03 2004 Michael Scherer <misc@mandrake.org> 0.6.5-1mdk
- New release 0.6.5

* Fri Nov 12 2004 Michael Scherer <misc@mandrake.org> 0.6.4-1mdk
- New release 0.6.4
- fix tarname

* Fri Oct  1 2004 Michael Scherer <misc@mandrake.org> 0.6.3-1mdk
- New release 0.6.3

* Wed Jun 30 2004 Michael Scherer <misc@mandrake.org> 0.6.0-1mdk
- First release for Mandrakelinux, based on work from Fernando Perez <fperez@colorado.edu> 
